## afsdeliver 3.2

=== Makefile ===
XCFLAGS=
CC = gcc
DEBUGOPT = -O6 -Wall
AFSLIBDIR = /usr/lib
AFSLIBS = -L$(AFSLIBDIR) -L$(AFSLIBDIR)/afs \
	-lauth -lsys -lrx -llwp -lafsutil -lkafs
DEFINES = -DTOKEN_FILE=\"/local/pinafore/sec/adm.admin.token\"
CFLAGS = $(DEBUGOPT) $(INCLUDES) $(XCFLAGS) $(DEFINES) # -D_NO_PROTO
LOADLIBES = $(SYSOBJS) $(AFSLIBS) $(SYSLIBES)
progs = afsdeliver # update_token

all: $(progs)
install:	all
	[ -n "$(DESTDIR)" ] && install -d -m 755 $(DESTDIR)/local/packages/afsmail/bin
	[ -n "$(DESTDIR)" ] && install -s -m 4755 $(progs) $(DESTDIR)/local/packages/afsmail/bin
getkey: getkey.o $(SYSOBJS)
afsdeliver: afsdeliver.o $(SYSOBJS)
	$(CC) $(LDFLAGS) -o $@ afsdeliver.o $(LOADLIBES)
transfer-old: transfer-old.o $(SYSOBJS)
	$(CC) $(LDFLAGS) -o $@ transfer-old.o $(LOADLIBES)
update_token: update_token.o $(SYSOBJS)
	$(CC) $(LDFLAGS) -o $@ update_token.o $(LOADLIBES)
td: td.o $(SYSOBJS)
	$(CC) $(LDFLAGS) -o $@ td.o $(LOADLIBES)

clean :
	rm -f getkey $(progs) core *.o *-stamp

=== debian/changelog ===
afsdeliver (3.2) unstable; urgency=low

  * corrections for etch and changes in heimdal-dev.

 -- zlsiial <LeBlanc@mcc.ac.uk>  Fri, 17 Nov 2006 14:30:00 +0000

afsdeliver (3.1) unstable; urgency=low

  * Initial Release.

 -- zlsiial <LeBlanc@mcc.ac.uk>  Thu, 26 Oct 2006 11:45:08 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: afsdeliver
Section: utils
Priority: extra
Maintainer: zlsiial <LeBlanc@mcc.ac.uk>
Build-Depends: debhelper (>= 4.0.0), libopenafs-dev, heimdal-dev
Standards-Version: 3.6.1

Package: afsdeliver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS mail delivery program
 This program takes mail from an incoming exim4 Mail Transport
 Agent and delivers it into AFS, or drops or bounces it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/afsdeliver


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
